# 按 ID 查詢網格訂單

`POST` `/v1/gridtrading/list`

按 ID 查詢指定的網格訂單。

## Parameters

### Request Body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `order_ids` | array | Yes | 待查詢的網格訂單 ID |

## Request Example

```bash
curl --request POST \
  --url 'https://openapi.longbridge.com/v1/gridtrading/list' \
  --header 'Authorization: Bearer <access_token>' \
  --header 'Content-Type: application/json' \
  --data '{"order_ids":[]}'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `grid_order` | object[] | No | 網格訂單 |
| `└ order_id` | string | Yes | 網格訂單 ID |
| `└ symbol` | string | Yes | 標的代碼，使用 `ticker.region` 格式，例如：`AAPL.US` |
| `└ stock_name` | string | Yes | 標的名稱 |
| `└ market` | string | Yes | 市場 |
| `└ status` | string | Yes | 網格訂單狀態 |
| `└ grid_status` | string | Yes | 網格運行狀態 |
| `└ submitted_base_price` | string | Yes | 網格錨定的提交基準價格 |
| `└ current_base_price` | string | Yes | 當前基準價格 |
| `└ pre_trigger_base_price` | string | Yes | 上次觸發前的基準價格 |
| `└ post_trigger_base_price` | string | Yes | 上次觸發後的基準價格 |
| `└ upper_limit_price` | string | Yes | 價格上限 |
| `└ lower_limit_price` | string | Yes | 價格下限 |
| `└ trigger_price_type` | int32 | Yes | 觸發價格類型。**Enum Value:**, `1` - 價差，`2` - 百分比 |
| `└ trigger_spread_up` | string | Yes | 向上觸發價差，`trigger_price_type` 為 `1` 時使用 |
| `└ trigger_spread_down` | string | Yes | 向下觸發價差，`trigger_price_type` 為 `1` 時使用 |
| `└ trigger_percent_up` | string | Yes | 向上觸發百分比，`trigger_price_type` 為 `2` 時使用 |
| `└ trigger_percent_down` | string | Yes | 向下觸發百分比，`trigger_price_type` 為 `2` 時使用 |
| `└ pullback_percent` | string | Yes | 回調百分比 |
| `└ pullback_spread` | string | Yes | 回調價差 |
| `└ rebound_percent` | string | Yes | 反彈百分比 |
| `└ rebound_spread` | string | Yes | 反彈價差 |
| `└ trigger_sell_order_type` | string | Yes | 賣出方網格訂單類型。**Enum Value:**, `GMO` - 網格市價單，`GLO` - 網格限價單，`GTG` - 網格觸價單 |
| `└ trigger_buy_order_type` | string | Yes | 買入方網格訂單類型。**Enum Value:**, `GMO` - 網格市價單，`GLO` - 網格限價單，`GTG` - 網格觸價單 |
| `└ trigger_sell_depth` | int32 | Yes | 賣出方盤口深度，範圍 `-5..5`；`0` 表示使用 `trigger_sell_order_type` |
| `└ trigger_buy_depth` | int32 | Yes | 買入方盤口深度，範圍 `-5..5`；`0` 表示使用 `trigger_buy_order_type` |
| `└ trigger_quantity` | string | Yes | 每次觸發數量 |
| `└ trigger_sell_quantity` | string | Yes | 賣出方觸發數量 |
| `└ trigger_buy_quantity` | string | Yes | 買入方觸發數量 |
| `└ upper_limit_quantity` | string | Yes | 觸及上限時處理的數量 |
| `└ lower_limit_quantity` | string | Yes | 觸及下限時處理的數量 |
| `└ upper_limit_event` | int32 | Yes | 觸及上限時的處理事件。**Enum Value:**, `1` - 忽略（保持網格運行）, `2` - 以最新價平倉 |
| `└ lower_limit_event` | int32 | Yes | 觸及下限時的處理事件。**Enum Value:**, `1` - 忽略（保持網格運行）, `2` - 以最新價平倉 |
| `└ multiple_trigger` | boolean | Yes | 單個網格檔位是否可多次觸發 |
| `└ trigger_times` | int32 | Yes | 網格已觸發次數 |
| `└ total_buy_quantity` | string | Yes | 累計買入數量 |
| `└ total_sell_quantity` | string | Yes | 累計賣出數量 |
| `└ total_profit_balance` | string | Yes | 累計收益餘額 |
| `└ settlement_currency` | string | Yes | 結算貨幣 |
| `└ time_in_force` | int32 | Yes | 訂單有效期類型。**Enum Value:**, `0` - 當日有效，`1` - 撤單前有效，`6` - 指定日期前有效 |
| `└ gtd` | string | Yes | 指定日期前有效的到期日期，格式：`YYYY-MM-DD` |
| `└ created_at` | string | Yes | 創建時間，格式為 RFC3339 |
| `└ rth` | int32 | Yes | 盤中交易時段標識。**Enum Value:**, `0`, `1`, `2` |
| `└ support_shortsell` | boolean | Yes | 是否允許賣空 |
| `└ grid_order_type_up` | string | Yes | 深度為 `0` 時賣出方的訂單類型。**Enum Value:**, `GMO` - 網格市價單，`GLO` - 網格限價單，`GTG` - 網格觸價單 |
| `└ grid_order_type_down` | string | Yes | 深度為 `0` 時買入方的訂單類型。**Enum Value:**, `GMO` - 網格市價單，`GLO` - 網格限價單，`GTG` - 網格觸價單 |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "grid_order": [
      {
        "order_id": "764609681686573056",
        "symbol": "700.HK",
        "stock_name": "TENCENT",
        "market": "HK",
        "status": "Performing",
        "grid_status": "Performing",
        "submitted_base_price": "300.000",
        "current_base_price": "300.000",
        "pre_trigger_base_price": "300.000",
        "post_trigger_base_price": "306.000",
        "upper_limit_price": "360.000",
        "lower_limit_price": "240.000",
        "trigger_price_type": 2,
        "trigger_spread_up": "",
        "trigger_spread_down": "",
        "trigger_percent_up": "2",
        "trigger_percent_down": "2",
        "pullback_percent": "",
        "pullback_spread": "",
        "rebound_percent": "",
        "rebound_spread": "",
        "trigger_sell_order_type": "GMO",
        "trigger_buy_order_type": "GMO",
        "trigger_sell_depth": 0,
        "trigger_buy_depth": 0,
        "trigger_quantity": "100",
        "trigger_sell_quantity": "100",
        "trigger_buy_quantity": "100",
        "upper_limit_quantity": "200",
        "lower_limit_quantity": "100",
        "upper_limit_event": 1,
        "lower_limit_event": 1,
        "multiple_trigger": false,
        "trigger_times": 3,
        "total_buy_quantity": "300",
        "total_sell_quantity": "200",
        "total_profit_balance": "1250.00",
        "settlement_currency": "HKD",
        "time_in_force": 1,
        "gtd": "",
        "created_at": "2025-01-15T09:30:00+08:00",
        "rth": 0,
        "support_shortsell": false,
        "grid_order_type_up": "GMO",
        "grid_order_type_down": "GMO"
      }
    ]
  }
}
```
